% this function creates a matrix transposition operator
function returned = transpose1(SuS)
% SuS - size of the image boundaries
    lower=1 : SuS(1);
    upper=1 : SuS(2);
    [ r, c ] = meshgrid(lower, upper);
    
    opxid = sub2ind(SuS, c, r);
    
    ipxid = sub2ind(SuS, r, c);
    
    returned = sparse(opxid, ipxid, ones(size(opxid)));
end
